/* =========================
   Container
========================= */
.two-factor-container {
    font-family: "DM Sans", sans-serif;
    width: 100%;
    max-width: 600px;
    padding: 3rem;
    background: #fff;
    border-radius: 10px;
    margin: 50px auto;
    box-shadow: 0 0 0 1px rgba(103, 61, 230, 0.05);
    box-sizing: border-box;
    text-align: center;
}

/* =========================
   Title
========================= */
.two-factor-container h1 {
    font-size: 35px;
    font-weight: 600;
    margin-bottom: 10px;
}

/* =========================
   Paragraph
========================= */
.two-factor-container p {
    font-size: 15px;
    margin-bottom: 30px;
}

/* =========================
   Input
========================= */
.otp-inputs {
    display: flex;
    justify-content: center;
    gap: 10px;
    margin-bottom: 30px;
}

.otp-inputs input {
    width: 50px;
    height: 60px;
    font-size: 28px;
    text-align: center;
    border-radius: 10px;
    border: 1px solid #ececff;
    background-color: #fafbff;
    transition: all 0.25s ease;
}

.otp-inputs input:focus {
    border-color: #673de6;
    background-color: #fff;
    outline: none;
}

/* =========================
   Button
========================= */
.two-factor-btn-submit {
    background-color: #673de6;
    color: #fff;
    border: none;
    padding: 0.9rem 1.3rem;
    border-radius: 8px;
    cursor: pointer;
    font-weight: 600;
    font-size: 16px;
}

.two-factor-btn-submit:hover {
    background-color: #5025d1;
}

/* =========================
   Mobile alignments
========================= */
@media (max-width: 600px) {
    .otp-inputs input {
        width: 40px;
        height: 50px;
        font-size: 24px;
    }
    .two-factor-container h1 {
        font-size: 24px;
        word-wrap: break-word;
    }
}